subversion-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Thomas Harold <thomas-li...@nybeta.com>
Subject Re: Apache Subversion 1.8.0 Released (An appropriate version of serf could not be found)
Date Tue, 18 Jun 2013 18:23:09 GMT
And the last hurdle I had to jump over to get svn 1.8.0 to compile on my 
CentOS 6 box.  When running ./configure, I had the following message 
show up:

--------

checking was serf enabled... no

An appropriate version of serf could not be found, so libsvn_ra_serf
will not be built.  If you want to build libsvn_ra_serf, please
install serf 1.2.1 or newer.

--------

I downloaded serf from:

http://code.google.com/p/serf/downloads/list

Ran the ./configure, make, make install steps

Then I had to tell SVN's configure command where to find the serf libraries:

$ ./configure --with-serf=/usr/local/serf/

I probably could have also downloaded the serf-devel and serf RPMs from 
Wandisco's site:

http://opensource.wandisco.com/rhel/6/svn-1.8/RPMS/x86_64/


Mime
View raw message